diff --git a/ipxe/debian-11.7/boot-screens/f1.txt b/ipxe/debian-11.7/boot-screens/f1.txt
index 1f808b2..0ba2568 100755
--- a/ipxe/debian-11.7/boot-screens/f1.txt
+++ b/ipxe/debian-11.7/boot-screens/f1.txt
@@ -1,7 +1,7 @@
                   0fWelcome to Debian GNU/Linux!07                                09F107
 
-This is a Debian 11 (bullseye) installation netboot image.
-It was built on 20210731+deb11u8.
+This is a Debian 12 (bookworm) installation netboot image.
+It was built on 20230607+deb12u5.
 
 0fHELP INDEX07
 
diff --git a/ipxe/debian-11.7/boot-screens/f2.txt b/ipxe/debian-11.7/boot-screens/f2.txt
index a52f245..ca8479e 100755
--- a/ipxe/debian-11.7/boot-screens/f2.txt
+++ b/ipxe/debian-11.7/boot-screens/f2.txt
@@ -3,12 +3,12 @@
 You must have at least 285 megabytes of RAM to use this Debian installer.
 
 You should have space on your hard disk to create a new disk partition
-of at least 920 megabytes to install the base system. You'll need more
+of at least 1160 megabytes to install the base system. You'll need more
 disk space to install additional packages, depending on what you wish
 to do with your new Debian system.
 
 See the Installation Guide or the FAQ for more information; both
-documents are available at the Debian web site, 0fhttp://www.debian.org/07
+documents are available at the Debian web site, 0fhttp://www.debian.org/doc/07
 
 Thank you for choosing Debian!
 
diff --git a/ipxe/debian-11.7/boot-screens/f9.txt b/ipxe/debian-11.7/boot-screens/f9.txt
index 625c648..c391e3c 100755
--- a/ipxe/debian-11.7/boot-screens/f9.txt
+++ b/ipxe/debian-11.7/boot-screens/f9.txt
@@ -9,7 +9,7 @@ and the next user who comes up with the same problem will profit from your
 experience!
 
 See the Installation Guide or the FAQ for more information; both
-documents are available at the Debian web site, 0fhttp://www.debian.org/07
+documents are available at the Debian web site, 0fhttp://www.debian.org/doc/07
 
 
 
diff --git a/ipxe/debian-11.7/boot-screens/splash.png b/ipxe/debian-11.7/boot-screens/splash.png
index 1ea7927..08b8278 100755
Binary files a/ipxe/debian-11.7/boot-screens/splash.png and b/ipxe/debian-11.7/boot-screens/splash.png differ
diff --git a/ipxe/debian-11.7/boot-screens/syslinux.cfg b/ipxe/debian-11.7/boot-screens/syslinux.cfg
index d26a2a3..f82971c 100755
--- a/ipxe/debian-11.7/boot-screens/syslinux.cfg
+++ b/ipxe/debian-11.7/boot-screens/syslinux.cfg
@@ -1,7 +1,7 @@
 # D-I config version 2.0
 # search path for the c32 support libraries (libcom32, libutil etc.)
 path debian-installer/amd64/boot-screens/
-include debian-installer/amd64/boot-screens/menu.cfg
-default debian-installer/amd64/boot-screens/vesamenu.c32
 prompt 0
 timeout 0
+include debian-installer/amd64/boot-screens/menu.cfg
+default debian-installer/amd64/boot-screens/vesamenu.c32
diff --git a/ipxe/debian-11.7/bootnetx64.efi b/ipxe/debian-11.7/bootnetx64.efi
index 0ddae70..292ade1 100755
Binary files a/ipxe/debian-11.7/bootnetx64.efi and b/ipxe/debian-11.7/bootnetx64.efi differ
diff --git a/ipxe/debian-11.7/grub/grub.cfg b/ipxe/debian-11.7/grub/grub.cfg
index a720d19..ed2f6c8 100755
--- a/ipxe/debian-11.7/grub/grub.cfg
+++ b/ipxe/debian-11.7/grub/grub.cfg
@@ -1,4 +1,10 @@
-if loadfont $prefix/font.pf2 ; then
+if [ x$feature_default_font_path = xy ] ; then
+   font=unicode
+else
+   font=$prefix/font.pf2
+fi
+
+if loadfont $font ; then
   set gfxmode=800x600
   set gfxpayload=keep
   insmod efi_gop
@@ -29,8 +35,6 @@ menuentry 'Install' {
     initrd   /debian-installer/amd64/initrd.gz
 }
 submenu --hotkey=a 'Advanced options ...' {
-    set menu_color_normal=cyan/blue
-    set menu_color_highlight=white/blue
     set gfxpayload=keep
     menuentry '... Expert install' {
         set background_color=black
@@ -63,12 +67,8 @@ submenu --hotkey=a 'Advanced options ...' {
         initrd   /debian-installer/amd64/initrd.gz
     }
     submenu '... Desktop environment menu ...' {
-        set menu_color_normal=cyan/blue
-        set menu_color_highlight=white/blue
         set gfxpayload=keep
         submenu '... GNOME desktop boot menu ...' {
-            set menu_color_normal=cyan/blue
-            set menu_color_highlight=white/blue
             set gfxpayload=keep
             menuentry '... Install' {
                 set background_color=black
@@ -76,8 +76,6 @@ submenu --hotkey=a 'Advanced options ...' {
                 initrd   /debian-installer/amd64/initrd.gz
             }
             submenu '... GNOME advanced options ...' {
-                set menu_color_normal=cyan/blue
-                set menu_color_highlight=white/blue
                 set gfxpayload=keep
                 menuentry '... Expert install' {
                     set background_color=black
@@ -102,8 +100,6 @@ submenu --hotkey=a 'Advanced options ...' {
             }
         }
         submenu '... KDE Plasma desktop boot menu ...' {
-            set menu_color_normal=cyan/blue
-            set menu_color_highlight=white/blue
             set gfxpayload=keep
             menuentry '... Install' {
                 set background_color=black
@@ -111,8 +107,6 @@ submenu --hotkey=a 'Advanced options ...' {
                 initrd   /debian-installer/amd64/initrd.gz
             }
             submenu '... KDE Plasma advanced options ...' {
-                set menu_color_normal=cyan/blue
-                set menu_color_highlight=white/blue
                 set gfxpayload=keep
                 menuentry '... Expert install' {
                     set background_color=black
@@ -137,8 +131,6 @@ submenu --hotkey=a 'Advanced options ...' {
             }
         }
         submenu '... LXDE desktop boot menu ...' {
-            set menu_color_normal=cyan/blue
-            set menu_color_highlight=white/blue
             set gfxpayload=keep
             menuentry '... Install' {
                 set background_color=black
@@ -146,8 +138,6 @@ submenu --hotkey=a 'Advanced options ...' {
                 initrd   /debian-installer/amd64/initrd.gz
             }
             submenu '... LXDE advanced options ...' {
-                set menu_color_normal=cyan/blue
-                set menu_color_highlight=white/blue
                 set gfxpayload=keep
                 menuentry '... Expert install' {
                     set background_color=black
@@ -173,7 +163,7 @@ submenu --hotkey=a 'Advanced options ...' {
         }
     }
 }
-submenu --hotkey=d 'Dark theme option...' {
+submenu --hotkey=d 'Accessible dark contrast installer menu ...' {
     set menu_color_normal=white/black
     set menu_color_highlight=yellow/black
     set color_normal=white/black
@@ -209,8 +199,3 @@ submenu --hotkey=d 'Dark theme option...' {
         }
     }
 }
-menuentry --hotkey=s 'Install with speech synthesis' {
-    set background_color=black
-    linux    /debian-installer/amd64/linux vga=788 speakup.synth=soft --- quiet
-    initrd   /debian-installer/amd64/initrd.gz
-}
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/acpi.mod b/ipxe/debian-11.7/grub/x86_64-efi/acpi.mod
index 2d1f7ed..1e7d894 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/acpi.mod and b/ipxe/debian-11.7/grub/x86_64-efi/acpi.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/adler32.mod b/ipxe/debian-11.7/grub/x86_64-efi/adler32.mod
index 6d60815..9bd0b87 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/adler32.mod and b/ipxe/debian-11.7/grub/x86_64-efi/adler32.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/afsplitter.mod b/ipxe/debian-11.7/grub/x86_64-efi/afsplitter.mod
index c82050e..001d85c 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/afsplitter.mod and b/ipxe/debian-11.7/grub/x86_64-efi/afsplitter.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/ahci.mod b/ipxe/debian-11.7/grub/x86_64-efi/ahci.mod
index efaa438..15a67f4 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/ahci.mod and b/ipxe/debian-11.7/grub/x86_64-efi/ahci.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/aout.mod b/ipxe/debian-11.7/grub/x86_64-efi/aout.mod
index 4da03b8..ab00956 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/aout.mod and b/ipxe/debian-11.7/grub/x86_64-efi/aout.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/appleldr.mod b/ipxe/debian-11.7/grub/x86_64-efi/appleldr.mod
index 0f36a2e..3960a2e 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/appleldr.mod and b/ipxe/debian-11.7/grub/x86_64-efi/appleldr.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/archelp.mod b/ipxe/debian-11.7/grub/x86_64-efi/archelp.mod
index 6685787..be4aa9d 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/archelp.mod and b/ipxe/debian-11.7/grub/x86_64-efi/archelp.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/at_keyboard.mod b/ipxe/debian-11.7/grub/x86_64-efi/at_keyboard.mod
index 6be48d6..917b61a 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/at_keyboard.mod and b/ipxe/debian-11.7/grub/x86_64-efi/at_keyboard.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/ata.mod b/ipxe/debian-11.7/grub/x86_64-efi/ata.mod
index 7a0c8aa..6b77adf 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/ata.mod and b/ipxe/debian-11.7/grub/x86_64-efi/ata.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/backtrace.mod b/ipxe/debian-11.7/grub/x86_64-efi/backtrace.mod
index 3087be0..b46dfde 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/backtrace.mod and b/ipxe/debian-11.7/grub/x86_64-efi/backtrace.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/bfs.mod b/ipxe/debian-11.7/grub/x86_64-efi/bfs.mod
index b5107da..8609260 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/bfs.mod and b/ipxe/debian-11.7/grub/x86_64-efi/bfs.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/bitmap.mod b/ipxe/debian-11.7/grub/x86_64-efi/bitmap.mod
index 135ff70..edded89 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/bitmap.mod and b/ipxe/debian-11.7/grub/x86_64-efi/bitmap.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/bitmap_scale.mod b/ipxe/debian-11.7/grub/x86_64-efi/bitmap_scale.mod
index 673da70..ce2ac2a 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/bitmap_scale.mod and b/ipxe/debian-11.7/grub/x86_64-efi/bitmap_scale.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/blocklist.mod b/ipxe/debian-11.7/grub/x86_64-efi/blocklist.mod
index 8b5526f..02d3da5 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/blocklist.mod and b/ipxe/debian-11.7/grub/x86_64-efi/blocklist.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/boot.mod b/ipxe/debian-11.7/grub/x86_64-efi/boot.mod
index ededc96..b5bba16 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/boot.mod and b/ipxe/debian-11.7/grub/x86_64-efi/boot.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/bsd.mod b/ipxe/debian-11.7/grub/x86_64-efi/bsd.mod
index d15a6c2..8f481b9 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/bsd.mod and b/ipxe/debian-11.7/grub/x86_64-efi/bsd.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/bswap_test.mod b/ipxe/debian-11.7/grub/x86_64-efi/bswap_test.mod
index fd5a917..253609d 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/bswap_test.mod and b/ipxe/debian-11.7/grub/x86_64-efi/bswap_test.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/btrfs.mod b/ipxe/debian-11.7/grub/x86_64-efi/btrfs.mod
index 57935cb..5d25031 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/btrfs.mod and b/ipxe/debian-11.7/grub/x86_64-efi/btrfs.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/bufio.mod b/ipxe/debian-11.7/grub/x86_64-efi/bufio.mod
index 8b15538..f2aea83 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/bufio.mod and b/ipxe/debian-11.7/grub/x86_64-efi/bufio.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/cat.mod b/ipxe/debian-11.7/grub/x86_64-efi/cat.mod
index fcd62f4..ff54ac6 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/cat.mod and b/ipxe/debian-11.7/grub/x86_64-efi/cat.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/cbfs.mod b/ipxe/debian-11.7/grub/x86_64-efi/cbfs.mod
index e1308d9..b2bad9f 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/cbfs.mod and b/ipxe/debian-11.7/grub/x86_64-efi/cbfs.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/cbls.mod b/ipxe/debian-11.7/grub/x86_64-efi/cbls.mod
index b30879f..97392a5 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/cbls.mod and b/ipxe/debian-11.7/grub/x86_64-efi/cbls.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/cbmemc.mod b/ipxe/debian-11.7/grub/x86_64-efi/cbmemc.mod
index 4d42b02..1ab8101 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/cbmemc.mod and b/ipxe/debian-11.7/grub/x86_64-efi/cbmemc.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/cbtable.mod b/ipxe/debian-11.7/grub/x86_64-efi/cbtable.mod
index 3dfe1f7..cc6819d 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/cbtable.mod and b/ipxe/debian-11.7/grub/x86_64-efi/cbtable.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/cbtime.mod b/ipxe/debian-11.7/grub/x86_64-efi/cbtime.mod
index 1206e97..b471e91 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/cbtime.mod and b/ipxe/debian-11.7/grub/x86_64-efi/cbtime.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/chain.mod b/ipxe/debian-11.7/grub/x86_64-efi/chain.mod
index e2d9742..e0ae5ab 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/chain.mod and b/ipxe/debian-11.7/grub/x86_64-efi/chain.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/cmdline_cat_test.mod b/ipxe/debian-11.7/grub/x86_64-efi/cmdline_cat_test.mod
index 2bfd5aa..6f2264a 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/cmdline_cat_test.mod and b/ipxe/debian-11.7/grub/x86_64-efi/cmdline_cat_test.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/cmp.mod b/ipxe/debian-11.7/grub/x86_64-efi/cmp.mod
index 66ca693..cb06c0b 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/cmp.mod and b/ipxe/debian-11.7/grub/x86_64-efi/cmp.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/cmp_test.mod b/ipxe/debian-11.7/grub/x86_64-efi/cmp_test.mod
index 7816267..e1b290c 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/cmp_test.mod and b/ipxe/debian-11.7/grub/x86_64-efi/cmp_test.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/cpio.mod b/ipxe/debian-11.7/grub/x86_64-efi/cpio.mod
index e1ae2ce..77aeb27 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/cpio.mod and b/ipxe/debian-11.7/grub/x86_64-efi/cpio.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/cpio_be.mod b/ipxe/debian-11.7/grub/x86_64-efi/cpio_be.mod
index a49f115..f810547 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/cpio_be.mod and b/ipxe/debian-11.7/grub/x86_64-efi/cpio_be.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/cpuid.mod b/ipxe/debian-11.7/grub/x86_64-efi/cpuid.mod
index bd2f3b9..ac7ceff 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/cpuid.mod and b/ipxe/debian-11.7/grub/x86_64-efi/cpuid.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/crc64.mod b/ipxe/debian-11.7/grub/x86_64-efi/crc64.mod
index d47905a..903dacd 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/crc64.mod and b/ipxe/debian-11.7/grub/x86_64-efi/crc64.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/crypto.mod b/ipxe/debian-11.7/grub/x86_64-efi/crypto.mod
index 8d684c3..738ccaf 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/crypto.mod and b/ipxe/debian-11.7/grub/x86_64-efi/crypto.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/cryptodisk.mod b/ipxe/debian-11.7/grub/x86_64-efi/cryptodisk.mod
index a090d7a..89fafef 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/cryptodisk.mod and b/ipxe/debian-11.7/grub/x86_64-efi/cryptodisk.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/cs5536.mod b/ipxe/debian-11.7/grub/x86_64-efi/cs5536.mod
index e10ddf0..b64f1cc 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/cs5536.mod and b/ipxe/debian-11.7/grub/x86_64-efi/cs5536.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/ctz_test.mod b/ipxe/debian-11.7/grub/x86_64-efi/ctz_test.mod
index e52975d..8def6d3 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/ctz_test.mod and b/ipxe/debian-11.7/grub/x86_64-efi/ctz_test.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/date.mod b/ipxe/debian-11.7/grub/x86_64-efi/date.mod
index f3ed05e..8fcb08b 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/date.mod and b/ipxe/debian-11.7/grub/x86_64-efi/date.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/datehook.mod b/ipxe/debian-11.7/grub/x86_64-efi/datehook.mod
index 970bc45..1fdd6dd 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/datehook.mod and b/ipxe/debian-11.7/grub/x86_64-efi/datehook.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/datetime.mod b/ipxe/debian-11.7/grub/x86_64-efi/datetime.mod
index f4c0ce6..d6aa732 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/datetime.mod and b/ipxe/debian-11.7/grub/x86_64-efi/datetime.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/disk.mod b/ipxe/debian-11.7/grub/x86_64-efi/disk.mod
index ff8480a..b31078d 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/disk.mod and b/ipxe/debian-11.7/grub/x86_64-efi/disk.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/diskfilter.mod b/ipxe/debian-11.7/grub/x86_64-efi/diskfilter.mod
index 50e302d..c5f352c 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/diskfilter.mod and b/ipxe/debian-11.7/grub/x86_64-efi/diskfilter.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/div.mod b/ipxe/debian-11.7/grub/x86_64-efi/div.mod
index c71e6a0..c86bcd3 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/div.mod and b/ipxe/debian-11.7/grub/x86_64-efi/div.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/div_test.mod b/ipxe/debian-11.7/grub/x86_64-efi/div_test.mod
index 72c8b88..695763d 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/div_test.mod and b/ipxe/debian-11.7/grub/x86_64-efi/div_test.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/dm_nv.mod b/ipxe/debian-11.7/grub/x86_64-efi/dm_nv.mod
index 794137e..c797c78 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/dm_nv.mod and b/ipxe/debian-11.7/grub/x86_64-efi/dm_nv.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/echo.mod b/ipxe/debian-11.7/grub/x86_64-efi/echo.mod
index 08638da..d20277f 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/echo.mod and b/ipxe/debian-11.7/grub/x86_64-efi/echo.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/efi_gop.mod b/ipxe/debian-11.7/grub/x86_64-efi/efi_gop.mod
index 10a9a5d..d1c0e0c 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/efi_gop.mod and b/ipxe/debian-11.7/grub/x86_64-efi/efi_gop.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/efi_uga.mod b/ipxe/debian-11.7/grub/x86_64-efi/efi_uga.mod
index 0e6a7ee..739e3a5 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/efi_uga.mod and b/ipxe/debian-11.7/grub/x86_64-efi/efi_uga.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/efifwsetup.mod b/ipxe/debian-11.7/grub/x86_64-efi/efifwsetup.mod
index 8e5453b..81db2bd 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/efifwsetup.mod and b/ipxe/debian-11.7/grub/x86_64-efi/efifwsetup.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/efinet.mod b/ipxe/debian-11.7/grub/x86_64-efi/efinet.mod
index 0a552b6..ee3e2eb 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/efinet.mod and b/ipxe/debian-11.7/grub/x86_64-efi/efinet.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/ehci.mod b/ipxe/debian-11.7/grub/x86_64-efi/ehci.mod
index 6c0d9ed..5990fb5 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/ehci.mod and b/ipxe/debian-11.7/grub/x86_64-efi/ehci.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/elf.mod b/ipxe/debian-11.7/grub/x86_64-efi/elf.mod
index 17b5337..967a5a7 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/elf.mod and b/ipxe/debian-11.7/grub/x86_64-efi/elf.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/eval.mod b/ipxe/debian-11.7/grub/x86_64-efi/eval.mod
index b0aacd8..720373d 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/eval.mod and b/ipxe/debian-11.7/grub/x86_64-efi/eval.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/exfat.mod b/ipxe/debian-11.7/grub/x86_64-efi/exfat.mod
index 6835a1b..10b2fc4 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/exfat.mod and b/ipxe/debian-11.7/grub/x86_64-efi/exfat.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/exfctest.mod b/ipxe/debian-11.7/grub/x86_64-efi/exfctest.mod
index 91d52f4..17ac8ca 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/exfctest.mod and b/ipxe/debian-11.7/grub/x86_64-efi/exfctest.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/ext2.mod b/ipxe/debian-11.7/grub/x86_64-efi/ext2.mod
index b8cabf7..318cae1 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/ext2.mod and b/ipxe/debian-11.7/grub/x86_64-efi/ext2.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/extcmd.mod b/ipxe/debian-11.7/grub/x86_64-efi/extcmd.mod
index f9ff27c..c03848e 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/extcmd.mod and b/ipxe/debian-11.7/grub/x86_64-efi/extcmd.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/f2fs.mod b/ipxe/debian-11.7/grub/x86_64-efi/f2fs.mod
index 8a0a4ac..d58557f 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/f2fs.mod and b/ipxe/debian-11.7/grub/x86_64-efi/f2fs.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/fat.mod b/ipxe/debian-11.7/grub/x86_64-efi/fat.mod
index 7c65056..e0e910d 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/fat.mod and b/ipxe/debian-11.7/grub/x86_64-efi/fat.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/file.mod b/ipxe/debian-11.7/grub/x86_64-efi/file.mod
index c26c047..2aa0e3b 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/file.mod and b/ipxe/debian-11.7/grub/x86_64-efi/file.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/fixvideo.mod b/ipxe/debian-11.7/grub/x86_64-efi/fixvideo.mod
index 25e343b..abcb287 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/fixvideo.mod and b/ipxe/debian-11.7/grub/x86_64-efi/fixvideo.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/font.mod b/ipxe/debian-11.7/grub/x86_64-efi/font.mod
index 1c1f223..6f92485 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/font.mod and b/ipxe/debian-11.7/grub/x86_64-efi/font.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_arcfour.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_arcfour.mod
index 0f727e3..4b98bdd 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_arcfour.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_arcfour.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_blowfish.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_blowfish.mod
index 38b1613..418e167 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_blowfish.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_blowfish.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_camellia.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_camellia.mod
index c89b5ce..3721971 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_camellia.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_camellia.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_cast5.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_cast5.mod
index 35d08f3..ab2cacc 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_cast5.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_cast5.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_crc.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_crc.mod
index 721c893..309daeb 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_crc.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_crc.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_des.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_des.mod
index 201073c..b5d2d51 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_des.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_des.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_dsa.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_dsa.mod
index 01cc3db..d56c157 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_dsa.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_dsa.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_idea.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_idea.mod
index a1e0bd5..a4540e8 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_idea.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_idea.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_md4.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_md4.mod
index bb5606b..182ede5 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_md4.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_md4.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_md5.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_md5.mod
index 0d7736a..44e5d84 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_md5.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_md5.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_rfc2268.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_rfc2268.mod
index ac1b1c6..2f97727 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_rfc2268.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_rfc2268.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_rijndael.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_rijndael.mod
index 9db7235..a0a14bd 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_rijndael.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_rijndael.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_rmd160.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_rmd160.mod
index 6d2afb3..3d058de 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_rmd160.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_rmd160.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_rsa.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_rsa.mod
index f574f5d..1d58619 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_rsa.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_rsa.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_seed.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_seed.mod
index cd5050a..7d66e6d 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_seed.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_seed.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_serpent.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_serpent.mod
index fd3ec88..4f32da5 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_serpent.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_serpent.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_sha1.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_sha1.mod
index 8cca9ff..9215ecd 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_sha1.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_sha1.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_sha256.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_sha256.mod
index 32df450..a2551d7 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_sha256.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_sha256.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_sha512.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_sha512.mod
index bc02f5f..1bf5324 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_sha512.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_sha512.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_tiger.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_tiger.mod
index d68dd71..bf51c52 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_tiger.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_tiger.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_twofish.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_twofish.mod
index e07532d..fe6804f 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_twofish.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_twofish.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gcry_whirlpool.mod b/ipxe/debian-11.7/grub/x86_64-efi/gcry_whirlpool.mod
index 6032106..934b680 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gcry_whirlpool.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gcry_whirlpool.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/geli.mod b/ipxe/debian-11.7/grub/x86_64-efi/geli.mod
index fdb6579..c0fb0fb 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/geli.mod and b/ipxe/debian-11.7/grub/x86_64-efi/geli.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gettext.mod b/ipxe/debian-11.7/grub/x86_64-efi/gettext.mod
index 0d4eb9d..1c445b8 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gettext.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gettext.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gfxmenu.mod b/ipxe/debian-11.7/grub/x86_64-efi/gfxmenu.mod
index 075652a..4e371c6 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gfxmenu.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gfxmenu.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gfxterm.mod b/ipxe/debian-11.7/grub/x86_64-efi/gfxterm.mod
index d31007e..f52e378 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gfxterm.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gfxterm.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gfxterm_background.mod b/ipxe/debian-11.7/grub/x86_64-efi/gfxterm_background.mod
index 5755dd1..b96195c 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gfxterm_background.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gfxterm_background.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gfxterm_menu.mod b/ipxe/debian-11.7/grub/x86_64-efi/gfxterm_menu.mod
index f728251..76c4591 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gfxterm_menu.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gfxterm_menu.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gptsync.mod b/ipxe/debian-11.7/grub/x86_64-efi/gptsync.mod
index 7e96afd..da8813e 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gptsync.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gptsync.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/gzio.mod b/ipxe/debian-11.7/grub/x86_64-efi/gzio.mod
index 5a66f77..520f977 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/gzio.mod and b/ipxe/debian-11.7/grub/x86_64-efi/gzio.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/halt.mod b/ipxe/debian-11.7/grub/x86_64-efi/halt.mod
index 780dc34..bbdf82d 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/halt.mod and b/ipxe/debian-11.7/grub/x86_64-efi/halt.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/hashsum.mod b/ipxe/debian-11.7/grub/x86_64-efi/hashsum.mod
index 2c628eb..3c55e66 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/hashsum.mod and b/ipxe/debian-11.7/grub/x86_64-efi/hashsum.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/hdparm.mod b/ipxe/debian-11.7/grub/x86_64-efi/hdparm.mod
index c8a9266..e8d04b9 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/hdparm.mod and b/ipxe/debian-11.7/grub/x86_64-efi/hdparm.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/help.mod b/ipxe/debian-11.7/grub/x86_64-efi/help.mod
index dc62589..487d5a4 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/help.mod and b/ipxe/debian-11.7/grub/x86_64-efi/help.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/hexdump.mod b/ipxe/debian-11.7/grub/x86_64-efi/hexdump.mod
index c4201b9..518d780 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/hexdump.mod and b/ipxe/debian-11.7/grub/x86_64-efi/hexdump.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/hfs.mod b/ipxe/debian-11.7/grub/x86_64-efi/hfs.mod
index 5c78f6d..03a650e 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/hfs.mod and b/ipxe/debian-11.7/grub/x86_64-efi/hfs.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/hfsplus.mod b/ipxe/debian-11.7/grub/x86_64-efi/hfsplus.mod
index 2c7cb8c..9c0485c 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/hfsplus.mod and b/ipxe/debian-11.7/grub/x86_64-efi/hfsplus.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/hfspluscomp.mod b/ipxe/debian-11.7/grub/x86_64-efi/hfspluscomp.mod
index b4a0235..0601192 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/hfspluscomp.mod and b/ipxe/debian-11.7/grub/x86_64-efi/hfspluscomp.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/http.mod b/ipxe/debian-11.7/grub/x86_64-efi/http.mod
index 1259085..bb7d118 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/http.mod and b/ipxe/debian-11.7/grub/x86_64-efi/http.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/iorw.mod b/ipxe/debian-11.7/grub/x86_64-efi/iorw.mod
index 7e03d2f..6f2d867 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/iorw.mod and b/ipxe/debian-11.7/grub/x86_64-efi/iorw.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/jfs.mod b/ipxe/debian-11.7/grub/x86_64-efi/jfs.mod
index 778e07e..1e5b2b0 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/jfs.mod and b/ipxe/debian-11.7/grub/x86_64-efi/jfs.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/jpeg.mod b/ipxe/debian-11.7/grub/x86_64-efi/jpeg.mod
index 503353a..3ee17de 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/jpeg.mod and b/ipxe/debian-11.7/grub/x86_64-efi/jpeg.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/json.mod b/ipxe/debian-11.7/grub/x86_64-efi/json.mod
index e127734..4703e62 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/json.mod and b/ipxe/debian-11.7/grub/x86_64-efi/json.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/keylayouts.mod b/ipxe/debian-11.7/grub/x86_64-efi/keylayouts.mod
index af09006..6abed8f 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/keylayouts.mod and b/ipxe/debian-11.7/grub/x86_64-efi/keylayouts.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/keystatus.mod b/ipxe/debian-11.7/grub/x86_64-efi/keystatus.mod
index fd7f64e..5cda304 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/keystatus.mod and b/ipxe/debian-11.7/grub/x86_64-efi/keystatus.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/ldm.mod b/ipxe/debian-11.7/grub/x86_64-efi/ldm.mod
index 0c46514..15dbd55 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/ldm.mod and b/ipxe/debian-11.7/grub/x86_64-efi/ldm.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/legacy_password_test.mod b/ipxe/debian-11.7/grub/x86_64-efi/legacy_password_test.mod
index 1e07508..991433b 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/legacy_password_test.mod and b/ipxe/debian-11.7/grub/x86_64-efi/legacy_password_test.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/legacycfg.mod b/ipxe/debian-11.7/grub/x86_64-efi/legacycfg.mod
index a3233be..51e5e79 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/legacycfg.mod and b/ipxe/debian-11.7/grub/x86_64-efi/legacycfg.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/linux.mod b/ipxe/debian-11.7/grub/x86_64-efi/linux.mod
index a47d664..3805403 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/linux.mod and b/ipxe/debian-11.7/grub/x86_64-efi/linux.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/linux16.mod b/ipxe/debian-11.7/grub/x86_64-efi/linux16.mod
index a6b3475..1076a80 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/linux16.mod and b/ipxe/debian-11.7/grub/x86_64-efi/linux16.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/linuxefi.mod b/ipxe/debian-11.7/grub/x86_64-efi/linuxefi.mod
index bc93662..80bc416 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/linuxefi.mod and b/ipxe/debian-11.7/grub/x86_64-efi/linuxefi.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/loadbios.mod b/ipxe/debian-11.7/grub/x86_64-efi/loadbios.mod
index 9f868b0..47509b1 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/loadbios.mod and b/ipxe/debian-11.7/grub/x86_64-efi/loadbios.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/loadenv.mod b/ipxe/debian-11.7/grub/x86_64-efi/loadenv.mod
index a3ae296..1f2c2ce 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/loadenv.mod and b/ipxe/debian-11.7/grub/x86_64-efi/loadenv.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/loopback.mod b/ipxe/debian-11.7/grub/x86_64-efi/loopback.mod
index 06703db..2ed26d9 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/loopback.mod and b/ipxe/debian-11.7/grub/x86_64-efi/loopback.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/ls.mod b/ipxe/debian-11.7/grub/x86_64-efi/ls.mod
index 4cbd157..2d65481 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/ls.mod and b/ipxe/debian-11.7/grub/x86_64-efi/ls.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/lsacpi.mod b/ipxe/debian-11.7/grub/x86_64-efi/lsacpi.mod
index c37fb04..a9ce26f 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/lsacpi.mod and b/ipxe/debian-11.7/grub/x86_64-efi/lsacpi.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/lsefi.mod b/ipxe/debian-11.7/grub/x86_64-efi/lsefi.mod
index 6ed0dbd..22c20d2 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/lsefi.mod and b/ipxe/debian-11.7/grub/x86_64-efi/lsefi.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/lsefimmap.mod b/ipxe/debian-11.7/grub/x86_64-efi/lsefimmap.mod
index e6a2371..6f24026 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/lsefimmap.mod and b/ipxe/debian-11.7/grub/x86_64-efi/lsefimmap.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/lsefisystab.mod b/ipxe/debian-11.7/grub/x86_64-efi/lsefisystab.mod
index 2acdccc..cb7839b 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/lsefisystab.mod and b/ipxe/debian-11.7/grub/x86_64-efi/lsefisystab.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/lsmmap.mod b/ipxe/debian-11.7/grub/x86_64-efi/lsmmap.mod
index c79c913..730aff3 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/lsmmap.mod and b/ipxe/debian-11.7/grub/x86_64-efi/lsmmap.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/lspci.mod b/ipxe/debian-11.7/grub/x86_64-efi/lspci.mod
index 4f0dbfc..2833578 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/lspci.mod and b/ipxe/debian-11.7/grub/x86_64-efi/lspci.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/lssal.mod b/ipxe/debian-11.7/grub/x86_64-efi/lssal.mod
index 09c85ca..cc719b6 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/lssal.mod and b/ipxe/debian-11.7/grub/x86_64-efi/lssal.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/luks.mod b/ipxe/debian-11.7/grub/x86_64-efi/luks.mod
index 32f9b8f..6c46cae 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/luks.mod and b/ipxe/debian-11.7/grub/x86_64-efi/luks.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/luks2.mod b/ipxe/debian-11.7/grub/x86_64-efi/luks2.mod
index e7f99e1..ca64123 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/luks2.mod and b/ipxe/debian-11.7/grub/x86_64-efi/luks2.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/lvm.mod b/ipxe/debian-11.7/grub/x86_64-efi/lvm.mod
index 25299f7..01de4fe 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/lvm.mod and b/ipxe/debian-11.7/grub/x86_64-efi/lvm.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/lzopio.mod b/ipxe/debian-11.7/grub/x86_64-efi/lzopio.mod
index 5e58fa6..965bb73 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/lzopio.mod and b/ipxe/debian-11.7/grub/x86_64-efi/lzopio.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/macbless.mod b/ipxe/debian-11.7/grub/x86_64-efi/macbless.mod
index 8a01f49..1487ed9 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/macbless.mod and b/ipxe/debian-11.7/grub/x86_64-efi/macbless.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/macho.mod b/ipxe/debian-11.7/grub/x86_64-efi/macho.mod
index 1a3c17e..ac2e358 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/macho.mod and b/ipxe/debian-11.7/grub/x86_64-efi/macho.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/mdraid09.mod b/ipxe/debian-11.7/grub/x86_64-efi/mdraid09.mod
index 055aaf7..cbca8e8 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/mdraid09.mod and b/ipxe/debian-11.7/grub/x86_64-efi/mdraid09.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/mdraid09_be.mod b/ipxe/debian-11.7/grub/x86_64-efi/mdraid09_be.mod
index ecd29b3..5332cf1 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/mdraid09_be.mod and b/ipxe/debian-11.7/grub/x86_64-efi/mdraid09_be.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/mdraid1x.mod b/ipxe/debian-11.7/grub/x86_64-efi/mdraid1x.mod
index b381c73..8a87f05 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/mdraid1x.mod and b/ipxe/debian-11.7/grub/x86_64-efi/mdraid1x.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/memrw.mod b/ipxe/debian-11.7/grub/x86_64-efi/memrw.mod
index d0f55b3..33754b2 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/memrw.mod and b/ipxe/debian-11.7/grub/x86_64-efi/memrw.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/minicmd.mod b/ipxe/debian-11.7/grub/x86_64-efi/minicmd.mod
index e10a022..ddb95dd 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/minicmd.mod and b/ipxe/debian-11.7/grub/x86_64-efi/minicmd.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/minix2.mod b/ipxe/debian-11.7/grub/x86_64-efi/minix2.mod
index 70b9811..48b6999 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/minix2.mod and b/ipxe/debian-11.7/grub/x86_64-efi/minix2.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/minix2_be.mod b/ipxe/debian-11.7/grub/x86_64-efi/minix2_be.mod
index d3d155e..66d97ef 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/minix2_be.mod and b/ipxe/debian-11.7/grub/x86_64-efi/minix2_be.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/minix3.mod b/ipxe/debian-11.7/grub/x86_64-efi/minix3.mod
index 96e6df6..7f67360 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/minix3.mod and b/ipxe/debian-11.7/grub/x86_64-efi/minix3.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/minix3_be.mod b/ipxe/debian-11.7/grub/x86_64-efi/minix3_be.mod
index c71e1ea..faaf24e 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/minix3_be.mod and b/ipxe/debian-11.7/grub/x86_64-efi/minix3_be.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/minix_be.mod b/ipxe/debian-11.7/grub/x86_64-efi/minix_be.mod
index a8314ad..6050c76 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/minix_be.mod and b/ipxe/debian-11.7/grub/x86_64-efi/minix_be.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/mmap.mod b/ipxe/debian-11.7/grub/x86_64-efi/mmap.mod
index 0c4e7a2..a86a77a 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/mmap.mod and b/ipxe/debian-11.7/grub/x86_64-efi/mmap.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/morse.mod b/ipxe/debian-11.7/grub/x86_64-efi/morse.mod
index cb04657..2cea351 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/morse.mod and b/ipxe/debian-11.7/grub/x86_64-efi/morse.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/mpi.mod b/ipxe/debian-11.7/grub/x86_64-efi/mpi.mod
index 1da92a5..9808df4 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/mpi.mod and b/ipxe/debian-11.7/grub/x86_64-efi/mpi.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/msdospart.mod b/ipxe/debian-11.7/grub/x86_64-efi/msdospart.mod
index c2610e4..be9ca31 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/msdospart.mod and b/ipxe/debian-11.7/grub/x86_64-efi/msdospart.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/mul_test.mod b/ipxe/debian-11.7/grub/x86_64-efi/mul_test.mod
index 04ff0fc..b0061f4 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/mul_test.mod and b/ipxe/debian-11.7/grub/x86_64-efi/mul_test.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/multiboot.mod b/ipxe/debian-11.7/grub/x86_64-efi/multiboot.mod
index a628a61..1fa1ebb 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/multiboot.mod and b/ipxe/debian-11.7/grub/x86_64-efi/multiboot.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/multiboot2.mod b/ipxe/debian-11.7/grub/x86_64-efi/multiboot2.mod
index 238a6f6..f323588 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/multiboot2.mod and b/ipxe/debian-11.7/grub/x86_64-efi/multiboot2.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/nativedisk.mod b/ipxe/debian-11.7/grub/x86_64-efi/nativedisk.mod
index b4345ba..ca4bbfb 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/nativedisk.mod and b/ipxe/debian-11.7/grub/x86_64-efi/nativedisk.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/net.mod b/ipxe/debian-11.7/grub/x86_64-efi/net.mod
index a2994fc..eecf91b 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/net.mod and b/ipxe/debian-11.7/grub/x86_64-efi/net.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/newc.mod b/ipxe/debian-11.7/grub/x86_64-efi/newc.mod
index 9b82060..cad6c49 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/newc.mod and b/ipxe/debian-11.7/grub/x86_64-efi/newc.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/normal.mod b/ipxe/debian-11.7/grub/x86_64-efi/normal.mod
index 48d4126..46ce33a 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/normal.mod and b/ipxe/debian-11.7/grub/x86_64-efi/normal.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/ntfs.mod b/ipxe/debian-11.7/grub/x86_64-efi/ntfs.mod
index 0039515..9dc7040 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/ntfs.mod and b/ipxe/debian-11.7/grub/x86_64-efi/ntfs.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/ntfscomp.mod b/ipxe/debian-11.7/grub/x86_64-efi/ntfscomp.mod
index 106e3e6..e773322 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/ntfscomp.mod and b/ipxe/debian-11.7/grub/x86_64-efi/ntfscomp.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/odc.mod b/ipxe/debian-11.7/grub/x86_64-efi/odc.mod
index 596225f..324cde5 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/odc.mod and b/ipxe/debian-11.7/grub/x86_64-efi/odc.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/offsetio.mod b/ipxe/debian-11.7/grub/x86_64-efi/offsetio.mod
index 53fe3bc..9820022 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/offsetio.mod and b/ipxe/debian-11.7/grub/x86_64-efi/offsetio.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/ohci.mod b/ipxe/debian-11.7/grub/x86_64-efi/ohci.mod
index 9baab7b..635d0a4 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/ohci.mod and b/ipxe/debian-11.7/grub/x86_64-efi/ohci.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/part_acorn.mod b/ipxe/debian-11.7/grub/x86_64-efi/part_acorn.mod
index f6b42f4..c64aad4 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/part_acorn.mod and b/ipxe/debian-11.7/grub/x86_64-efi/part_acorn.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/part_amiga.mod b/ipxe/debian-11.7/grub/x86_64-efi/part_amiga.mod
index ddf166d..9d200d8 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/part_amiga.mod and b/ipxe/debian-11.7/grub/x86_64-efi/part_amiga.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/part_apple.mod b/ipxe/debian-11.7/grub/x86_64-efi/part_apple.mod
index 9acd7e8..17ab22f 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/part_apple.mod and b/ipxe/debian-11.7/grub/x86_64-efi/part_apple.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/part_bsd.mod b/ipxe/debian-11.7/grub/x86_64-efi/part_bsd.mod
index 5db9464..b8f6b34 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/part_bsd.mod and b/ipxe/debian-11.7/grub/x86_64-efi/part_bsd.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/part_dfly.mod b/ipxe/debian-11.7/grub/x86_64-efi/part_dfly.mod
index 7f0643c..b8e7e3a 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/part_dfly.mod and b/ipxe/debian-11.7/grub/x86_64-efi/part_dfly.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/part_dvh.mod b/ipxe/debian-11.7/grub/x86_64-efi/part_dvh.mod
index 67f08f4..678be52 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/part_dvh.mod and b/ipxe/debian-11.7/grub/x86_64-efi/part_dvh.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/part_gpt.mod b/ipxe/debian-11.7/grub/x86_64-efi/part_gpt.mod
index 2467ed2..c3b11bf 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/part_gpt.mod and b/ipxe/debian-11.7/grub/x86_64-efi/part_gpt.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/part_msdos.mod b/ipxe/debian-11.7/grub/x86_64-efi/part_msdos.mod
index 3f2bd70..73c4992 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/part_msdos.mod and b/ipxe/debian-11.7/grub/x86_64-efi/part_msdos.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/part_plan.mod b/ipxe/debian-11.7/grub/x86_64-efi/part_plan.mod
index 4c01c7f..aabe0e6 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/part_plan.mod and b/ipxe/debian-11.7/grub/x86_64-efi/part_plan.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/part_sun.mod b/ipxe/debian-11.7/grub/x86_64-efi/part_sun.mod
index 8d6e2fd..f4ce1cf 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/part_sun.mod and b/ipxe/debian-11.7/grub/x86_64-efi/part_sun.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/part_sunpc.mod b/ipxe/debian-11.7/grub/x86_64-efi/part_sunpc.mod
index 509e110..345b895 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/part_sunpc.mod and b/ipxe/debian-11.7/grub/x86_64-efi/part_sunpc.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/parttool.mod b/ipxe/debian-11.7/grub/x86_64-efi/parttool.mod
index ed46a77..9c6a317 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/parttool.mod and b/ipxe/debian-11.7/grub/x86_64-efi/parttool.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/password.mod b/ipxe/debian-11.7/grub/x86_64-efi/password.mod
index e152def..6f90ed9 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/password.mod and b/ipxe/debian-11.7/grub/x86_64-efi/password.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/password_pbkdf2.mod b/ipxe/debian-11.7/grub/x86_64-efi/password_pbkdf2.mod
index 16fb308..b4aeb98 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/password_pbkdf2.mod and b/ipxe/debian-11.7/grub/x86_64-efi/password_pbkdf2.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/pata.mod b/ipxe/debian-11.7/grub/x86_64-efi/pata.mod
index a51e2c6..8dbb7c4 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/pata.mod and b/ipxe/debian-11.7/grub/x86_64-efi/pata.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/pbkdf2.mod b/ipxe/debian-11.7/grub/x86_64-efi/pbkdf2.mod
index 9b5f394..7c07da8 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/pbkdf2.mod and b/ipxe/debian-11.7/grub/x86_64-efi/pbkdf2.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/pbkdf2_test.mod b/ipxe/debian-11.7/grub/x86_64-efi/pbkdf2_test.mod
index d85d0a3..27f7022 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/pbkdf2_test.mod and b/ipxe/debian-11.7/grub/x86_64-efi/pbkdf2_test.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/pcidump.mod b/ipxe/debian-11.7/grub/x86_64-efi/pcidump.mod
index e001b20..ce8f323 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/pcidump.mod and b/ipxe/debian-11.7/grub/x86_64-efi/pcidump.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/pgp.mod b/ipxe/debian-11.7/grub/x86_64-efi/pgp.mod
index 3fa9d5d..0bfc045 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/pgp.mod and b/ipxe/debian-11.7/grub/x86_64-efi/pgp.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/play.mod b/ipxe/debian-11.7/grub/x86_64-efi/play.mod
index 536e431..2ab938f 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/play.mod and b/ipxe/debian-11.7/grub/x86_64-efi/play.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/png.mod b/ipxe/debian-11.7/grub/x86_64-efi/png.mod
index 25b60ca..4a36d79 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/png.mod and b/ipxe/debian-11.7/grub/x86_64-efi/png.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/priority_queue.mod b/ipxe/debian-11.7/grub/x86_64-efi/priority_queue.mod
index 527a2e1..fe3832e 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/priority_queue.mod and b/ipxe/debian-11.7/grub/x86_64-efi/priority_queue.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/probe.mod b/ipxe/debian-11.7/grub/x86_64-efi/probe.mod
index 676bd9c..1114881 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/probe.mod and b/ipxe/debian-11.7/grub/x86_64-efi/probe.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/procfs.mod b/ipxe/debian-11.7/grub/x86_64-efi/procfs.mod
index 999c08a..58d7bda 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/procfs.mod and b/ipxe/debian-11.7/grub/x86_64-efi/procfs.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/progress.mod b/ipxe/debian-11.7/grub/x86_64-efi/progress.mod
index 43e50fb..f3a6639 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/progress.mod and b/ipxe/debian-11.7/grub/x86_64-efi/progress.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/raid5rec.mod b/ipxe/debian-11.7/grub/x86_64-efi/raid5rec.mod
index d31b099..015e5b1 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/raid5rec.mod and b/ipxe/debian-11.7/grub/x86_64-efi/raid5rec.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/raid6rec.mod b/ipxe/debian-11.7/grub/x86_64-efi/raid6rec.mod
index b68dd8c..2d6f896 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/raid6rec.mod and b/ipxe/debian-11.7/grub/x86_64-efi/raid6rec.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/random.mod b/ipxe/debian-11.7/grub/x86_64-efi/random.mod
index e713b9e..8f47da5 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/random.mod and b/ipxe/debian-11.7/grub/x86_64-efi/random.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/rdmsr.mod b/ipxe/debian-11.7/grub/x86_64-efi/rdmsr.mod
index f67773b..668884a 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/rdmsr.mod and b/ipxe/debian-11.7/grub/x86_64-efi/rdmsr.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/read.mod b/ipxe/debian-11.7/grub/x86_64-efi/read.mod
index 526115a..a76febe 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/read.mod and b/ipxe/debian-11.7/grub/x86_64-efi/read.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/reboot.mod b/ipxe/debian-11.7/grub/x86_64-efi/reboot.mod
index 36802ed..cd53b0c 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/reboot.mod and b/ipxe/debian-11.7/grub/x86_64-efi/reboot.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/regexp.mod b/ipxe/debian-11.7/grub/x86_64-efi/regexp.mod
index a3b0221..a1b50cf 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/regexp.mod and b/ipxe/debian-11.7/grub/x86_64-efi/regexp.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/reiserfs.mod b/ipxe/debian-11.7/grub/x86_64-efi/reiserfs.mod
index 022194f..1a5de66 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/reiserfs.mod and b/ipxe/debian-11.7/grub/x86_64-efi/reiserfs.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/relocator.mod b/ipxe/debian-11.7/grub/x86_64-efi/relocator.mod
index eba5d29..d1ace02 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/relocator.mod and b/ipxe/debian-11.7/grub/x86_64-efi/relocator.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/romfs.mod b/ipxe/debian-11.7/grub/x86_64-efi/romfs.mod
index 5db58d4..39ef4e2 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/romfs.mod and b/ipxe/debian-11.7/grub/x86_64-efi/romfs.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/scsi.mod b/ipxe/debian-11.7/grub/x86_64-efi/scsi.mod
index fef88af..010e457 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/scsi.mod and b/ipxe/debian-11.7/grub/x86_64-efi/scsi.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/serial.mod b/ipxe/debian-11.7/grub/x86_64-efi/serial.mod
index a40953c..96d9d2f 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/serial.mod and b/ipxe/debian-11.7/grub/x86_64-efi/serial.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/setjmp.mod b/ipxe/debian-11.7/grub/x86_64-efi/setjmp.mod
index a0b4e57..3e4dfcd 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/setjmp.mod and b/ipxe/debian-11.7/grub/x86_64-efi/setjmp.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/setjmp_test.mod b/ipxe/debian-11.7/grub/x86_64-efi/setjmp_test.mod
index 63e1099..a38bcd7 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/setjmp_test.mod and b/ipxe/debian-11.7/grub/x86_64-efi/setjmp_test.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/setpci.mod b/ipxe/debian-11.7/grub/x86_64-efi/setpci.mod
index e2c357c..9b0d477 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/setpci.mod and b/ipxe/debian-11.7/grub/x86_64-efi/setpci.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/shift_test.mod b/ipxe/debian-11.7/grub/x86_64-efi/shift_test.mod
index e66c874..126974f 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/shift_test.mod and b/ipxe/debian-11.7/grub/x86_64-efi/shift_test.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/signature_test.mod b/ipxe/debian-11.7/grub/x86_64-efi/signature_test.mod
index 3358ae1..bdcae56 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/signature_test.mod and b/ipxe/debian-11.7/grub/x86_64-efi/signature_test.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/sleep.mod b/ipxe/debian-11.7/grub/x86_64-efi/sleep.mod
index 10bd0fe..f12bf06 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/sleep.mod and b/ipxe/debian-11.7/grub/x86_64-efi/sleep.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/sleep_test.mod b/ipxe/debian-11.7/grub/x86_64-efi/sleep_test.mod
index 95b77f7..dbe7cfe 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/sleep_test.mod and b/ipxe/debian-11.7/grub/x86_64-efi/sleep_test.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/smbios.mod b/ipxe/debian-11.7/grub/x86_64-efi/smbios.mod
index ac59eaf..732cb80 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/smbios.mod and b/ipxe/debian-11.7/grub/x86_64-efi/smbios.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/spkmodem.mod b/ipxe/debian-11.7/grub/x86_64-efi/spkmodem.mod
index 1b203ed..93412b3 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/spkmodem.mod and b/ipxe/debian-11.7/grub/x86_64-efi/spkmodem.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/squash4.mod b/ipxe/debian-11.7/grub/x86_64-efi/squash4.mod
index 31644a4..693dd33 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/squash4.mod and b/ipxe/debian-11.7/grub/x86_64-efi/squash4.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/strtoull_test.mod b/ipxe/debian-11.7/grub/x86_64-efi/strtoull_test.mod
index 5f8796a..42d82ff 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/strtoull_test.mod and b/ipxe/debian-11.7/grub/x86_64-efi/strtoull_test.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/syslinuxcfg.mod b/ipxe/debian-11.7/grub/x86_64-efi/syslinuxcfg.mod
index b93b960..39eec82 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/syslinuxcfg.mod and b/ipxe/debian-11.7/grub/x86_64-efi/syslinuxcfg.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/terminal.mod b/ipxe/debian-11.7/grub/x86_64-efi/terminal.mod
index 591d32b..455f277 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/terminal.mod and b/ipxe/debian-11.7/grub/x86_64-efi/terminal.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/terminfo.mod b/ipxe/debian-11.7/grub/x86_64-efi/terminfo.mod
index 320f59f..1685ee5 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/terminfo.mod and b/ipxe/debian-11.7/grub/x86_64-efi/terminfo.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/test.mod b/ipxe/debian-11.7/grub/x86_64-efi/test.mod
index 0cd8bac..14604e0 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/test.mod and b/ipxe/debian-11.7/grub/x86_64-efi/test.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/test_blockarg.mod b/ipxe/debian-11.7/grub/x86_64-efi/test_blockarg.mod
index 467696f..6b5cfc7 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/test_blockarg.mod and b/ipxe/debian-11.7/grub/x86_64-efi/test_blockarg.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/testload.mod b/ipxe/debian-11.7/grub/x86_64-efi/testload.mod
index 4b6ac62..5046729 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/testload.mod and b/ipxe/debian-11.7/grub/x86_64-efi/testload.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/testspeed.mod b/ipxe/debian-11.7/grub/x86_64-efi/testspeed.mod
index bd9c0f9..209894d 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/testspeed.mod and b/ipxe/debian-11.7/grub/x86_64-efi/testspeed.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/tftp.mod b/ipxe/debian-11.7/grub/x86_64-efi/tftp.mod
index 3188079..91b38fd 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/tftp.mod and b/ipxe/debian-11.7/grub/x86_64-efi/tftp.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/tga.mod b/ipxe/debian-11.7/grub/x86_64-efi/tga.mod
index 04b8a02..2f7314d 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/tga.mod and b/ipxe/debian-11.7/grub/x86_64-efi/tga.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/time.mod b/ipxe/debian-11.7/grub/x86_64-efi/time.mod
index e3ceaef..bf0c943 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/time.mod and b/ipxe/debian-11.7/grub/x86_64-efi/time.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/tpm.mod b/ipxe/debian-11.7/grub/x86_64-efi/tpm.mod
index 95e5e56..bb82a2d 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/tpm.mod and b/ipxe/debian-11.7/grub/x86_64-efi/tpm.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/tr.mod b/ipxe/debian-11.7/grub/x86_64-efi/tr.mod
index d100422..4679c68 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/tr.mod and b/ipxe/debian-11.7/grub/x86_64-efi/tr.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/trig.mod b/ipxe/debian-11.7/grub/x86_64-efi/trig.mod
index 3b8a51c..7c9a5c6 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/trig.mod and b/ipxe/debian-11.7/grub/x86_64-efi/trig.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/true.mod b/ipxe/debian-11.7/grub/x86_64-efi/true.mod
index 7b9c4bc..f7018e4 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/true.mod and b/ipxe/debian-11.7/grub/x86_64-efi/true.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/udf.mod b/ipxe/debian-11.7/grub/x86_64-efi/udf.mod
index f94f94d..9e5b3fe 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/udf.mod and b/ipxe/debian-11.7/grub/x86_64-efi/udf.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/ufs1.mod b/ipxe/debian-11.7/grub/x86_64-efi/ufs1.mod
index 6699ae2..c901bc4 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/ufs1.mod and b/ipxe/debian-11.7/grub/x86_64-efi/ufs1.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/ufs1_be.mod b/ipxe/debian-11.7/grub/x86_64-efi/ufs1_be.mod
index 5c27533..8211cb4 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/ufs1_be.mod and b/ipxe/debian-11.7/grub/x86_64-efi/ufs1_be.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/ufs2.mod b/ipxe/debian-11.7/grub/x86_64-efi/ufs2.mod
index a0db65b..354e259 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/ufs2.mod and b/ipxe/debian-11.7/grub/x86_64-efi/ufs2.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/uhci.mod b/ipxe/debian-11.7/grub/x86_64-efi/uhci.mod
index ffb512c..82113d0 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/uhci.mod and b/ipxe/debian-11.7/grub/x86_64-efi/uhci.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/usb.mod b/ipxe/debian-11.7/grub/x86_64-efi/usb.mod
index c8ad88b..4ac7766 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/usb.mod and b/ipxe/debian-11.7/grub/x86_64-efi/usb.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/usb_keyboard.mod b/ipxe/debian-11.7/grub/x86_64-efi/usb_keyboard.mod
index 70c5183..cd7aa8d 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/usb_keyboard.mod and b/ipxe/debian-11.7/grub/x86_64-efi/usb_keyboard.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/usbms.mod b/ipxe/debian-11.7/grub/x86_64-efi/usbms.mod
index 8166bcd..c8244a4 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/usbms.mod and b/ipxe/debian-11.7/grub/x86_64-efi/usbms.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/usbserial_common.mod b/ipxe/debian-11.7/grub/x86_64-efi/usbserial_common.mod
index 3aa1cfe..489331a 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/usbserial_common.mod and b/ipxe/debian-11.7/grub/x86_64-efi/usbserial_common.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/usbserial_ftdi.mod b/ipxe/debian-11.7/grub/x86_64-efi/usbserial_ftdi.mod
index c597230..72968de 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/usbserial_ftdi.mod and b/ipxe/debian-11.7/grub/x86_64-efi/usbserial_ftdi.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/usbserial_pl2303.mod b/ipxe/debian-11.7/grub/x86_64-efi/usbserial_pl2303.mod
index 4692786..7b19860 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/usbserial_pl2303.mod and b/ipxe/debian-11.7/grub/x86_64-efi/usbserial_pl2303.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/usbserial_usbdebug.mod b/ipxe/debian-11.7/grub/x86_64-efi/usbserial_usbdebug.mod
index e820907..9e35a18 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/usbserial_usbdebug.mod and b/ipxe/debian-11.7/grub/x86_64-efi/usbserial_usbdebug.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/usbtest.mod b/ipxe/debian-11.7/grub/x86_64-efi/usbtest.mod
index 6ee9be4..19cc19a 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/usbtest.mod and b/ipxe/debian-11.7/grub/x86_64-efi/usbtest.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/video.mod b/ipxe/debian-11.7/grub/x86_64-efi/video.mod
index d6f9975..8333891 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/video.mod and b/ipxe/debian-11.7/grub/x86_64-efi/video.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/video_bochs.mod b/ipxe/debian-11.7/grub/x86_64-efi/video_bochs.mod
index 79e035c..d716b29 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/video_bochs.mod and b/ipxe/debian-11.7/grub/x86_64-efi/video_bochs.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/video_cirrus.mod b/ipxe/debian-11.7/grub/x86_64-efi/video_cirrus.mod
index fc78518..14fda36 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/video_cirrus.mod and b/ipxe/debian-11.7/grub/x86_64-efi/video_cirrus.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/video_colors.mod b/ipxe/debian-11.7/grub/x86_64-efi/video_colors.mod
index c673f81..a03d6fe 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/video_colors.mod and b/ipxe/debian-11.7/grub/x86_64-efi/video_colors.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/video_fb.mod b/ipxe/debian-11.7/grub/x86_64-efi/video_fb.mod
index 9a6bba9..0891fde 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/video_fb.mod and b/ipxe/debian-11.7/grub/x86_64-efi/video_fb.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/videoinfo.mod b/ipxe/debian-11.7/grub/x86_64-efi/videoinfo.mod
index ea9bb51..648875f 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/videoinfo.mod and b/ipxe/debian-11.7/grub/x86_64-efi/videoinfo.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/videotest.mod b/ipxe/debian-11.7/grub/x86_64-efi/videotest.mod
index 9981f55..880dfde 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/videotest.mod and b/ipxe/debian-11.7/grub/x86_64-efi/videotest.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/videotest_checksum.mod b/ipxe/debian-11.7/grub/x86_64-efi/videotest_checksum.mod
index 2f2cc51..d1ebed8 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/videotest_checksum.mod and b/ipxe/debian-11.7/grub/x86_64-efi/videotest_checksum.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/wrmsr.mod b/ipxe/debian-11.7/grub/x86_64-efi/wrmsr.mod
index 9f87c97..9edbad8 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/wrmsr.mod and b/ipxe/debian-11.7/grub/x86_64-efi/wrmsr.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/xfs.mod b/ipxe/debian-11.7/grub/x86_64-efi/xfs.mod
index 636487e..b191b49 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/xfs.mod and b/ipxe/debian-11.7/grub/x86_64-efi/xfs.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/xnu.mod b/ipxe/debian-11.7/grub/x86_64-efi/xnu.mod
index 99d10ea..d532c5c 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/xnu.mod and b/ipxe/debian-11.7/grub/x86_64-efi/xnu.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/xnu_uuid.mod b/ipxe/debian-11.7/grub/x86_64-efi/xnu_uuid.mod
index 4cdf62d..21f1cfa 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/xnu_uuid.mod and b/ipxe/debian-11.7/grub/x86_64-efi/xnu_uuid.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/xnu_uuid_test.mod b/ipxe/debian-11.7/grub/x86_64-efi/xnu_uuid_test.mod
index 599c9be..9b3e21e 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/xnu_uuid_test.mod and b/ipxe/debian-11.7/grub/x86_64-efi/xnu_uuid_test.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/xzio.mod b/ipxe/debian-11.7/grub/x86_64-efi/xzio.mod
index f09520b..314992a 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/xzio.mod and b/ipxe/debian-11.7/grub/x86_64-efi/xzio.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/zfscrypt.mod b/ipxe/debian-11.7/grub/x86_64-efi/zfscrypt.mod
index b18eb33..0202a8a 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/zfscrypt.mod and b/ipxe/debian-11.7/grub/x86_64-efi/zfscrypt.mod differ
diff --git a/ipxe/debian-11.7/grub/x86_64-efi/zstd.mod b/ipxe/debian-11.7/grub/x86_64-efi/zstd.mod
index 64d5659..4a121b5 100755
Binary files a/ipxe/debian-11.7/grub/x86_64-efi/zstd.mod and b/ipxe/debian-11.7/grub/x86_64-efi/zstd.mod differ
diff --git a/ipxe/debian-11.7/grubx64.efi b/ipxe/debian-11.7/grubx64.efi
index cee5aaf..f65e6ed 100755
Binary files a/ipxe/debian-11.7/grubx64.efi and b/ipxe/debian-11.7/grubx64.efi differ
diff --git a/ipxe/debian-11.7/initrd b/ipxe/debian-11.7/initrd
index af09451..8b9b703 100755
Binary files a/ipxe/debian-11.7/initrd and b/ipxe/debian-11.7/initrd differ
diff --git a/ipxe/debian-11.7/initrd.gz b/ipxe/debian-11.7/initrd.gz
index 1e6ef4e..0a0b87b 100755
Binary files a/ipxe/debian-11.7/initrd.gz and b/ipxe/debian-11.7/initrd.gz differ
diff --git a/ipxe/debian-11.7/linux b/ipxe/debian-11.7/linux
index e2598ee..dd519f5 100755
Binary files a/ipxe/debian-11.7/linux and b/ipxe/debian-11.7/linux differ
diff --git a/ipxe/debian-11.7/pxelinux.0 b/ipxe/debian-11.7/pxelinux.0
index e69de29..067266c 100755
Binary files a/ipxe/debian-11.7/pxelinux.0 and b/ipxe/debian-11.7/pxelinux.0 differ
diff --git a/ipxe/debian-11.7/vmlinuz b/ipxe/debian-11.7/vmlinuz
index e2598ee..dd519f5 100755
Binary files a/ipxe/debian-11.7/vmlinuz and b/ipxe/debian-11.7/vmlinuz differ
